Subject: Re: bug#38802: 24.5; emacs unusable, unpredictably, with "k is undefined" for every key

From: Michael Heerdegen <[email-masked]>
Date: Wed, 01 Jan 2020 04:38:42 +0100

Eli Zaretskii <[email-masked]> writes:

> You are saying that sometimes y-or-n-p doesn't react to C-g?

No, when that happens, the y-or-n-p prompt is gone.  Everything looks
like normal top level, but all keys are "undefined" (maybe all except
"y" and "n"?).

I can't be more specific, haven't seen the problem for a long time now.
AFAIR that happened when I somehow stepped out of the prompt, e.g. by
forcing Emacs into debugger, or using Edebug.  I don't recall exactly,
and maybe it is unrelated, but there are similarities to what the OP
described.  Too bad I currently can't reproduce the issue I mean.  I
think the OP can be of more help.

Michael.